#!/bin/bash

echo "This script will delete some files. Proceed, y/n?"
read proceed
if [[ $proceed == *"n"* ]]
then
    exit
fi

plist=`find $1 -name "PROCAR*"`
for i in $plist
do
    pdir=`dirname $i`
    #echo $i
    if [[ $pdir == *"stat"* ]]
    then
        echo "$i is static. Zipping."
        bzip2 $i
    else
        #echo "$i is not static. Remove, y/n?"
        #read isokay
        isokay="y"
        if [[ $isokay == *"y"* ]]
        then
            rm $i
            echo "$i removed."
        else
            echo "$i not removed."
        fi
    fi
done

