#!/usr/bin/env python
# Tam Mayeshiba 2015-11-05
# cleanup from strain data
# S3 bulk supercells
######

import Vanisotropy
import Platticevec
print "Lattice vectors, magnitudes, and angles."

topdir="//home/tam/strain_emig_clean/S3_bulk_supercells"
blist=['c','f','g','m','n','r','s','t','v']
anglelist=list()
for bletter in blist:
    bdir = "%s/a%s/a%s_bulk_static" % (topdir, bletter, bletter)
    vecs = Platticevec.main(bdir, "CONTCAR") 
    bstring = Vanisotropy.main(bdir, "CONTCAR")
    print bletter
    print vecs
    print bstring
    measures=bstring.split(":")[-1]
    for idx in [3,4,5]:
        anglelist.append(float(measures.split(",")[idx]))
print anglelist
print "Number of angles: ", len(anglelist)
print "Min: ", min(anglelist)
print "Max: ", max(anglelist)
import numpy as np
print "Avg: ", np.average(anglelist)
print "Std: ", np.std(anglelist)
