#!/usr/bin/env python
# Tam Mayeshiba 2015-11-17
# cleanup from strain data
# S5 GGA+U barriers for no-strain comparison
######

import os
import subprocess
import numpy as np
import sys
import nebenergy
topdir="//home/tam/strain_emig_clean/S5_GGAU_barrier_comparison"

noubarriers="//home/tam/strain_emig_clean/S4_migration_barriers/S4_migration_barriers_output"

fitdict=dict()

noufile = open(noubarriers, 'rb')
noulines = noufile.readlines()
noufile.close()
noulines_end = noulines
inoop=0
myline=""
for nouline in noulines:
    if ("Direction oop" in nouline):
        inoop=1
    if (nouline[0:5] == "0.000"):
        if (inoop == 1):
            myline = nouline
            break
print myline
mysplit = myline.split(",")
midx = 0
for bsite in ['c','f','g','m','n','r','s','t','v']:
    midx = midx + 1
    fitdict[bsite]=dict()
    fitdict[bsite]['nonu_from_strain_series'] = float(mysplit[midx])
#
#blist=list(sys.argv[1])
blist=['c','f','m','n','r','t','v']

for bsite in blist:
    nebrpt = nebenergy.report("%s/withu/au%sc/au%sc_neb_static" % (topdir, bsite, bsite))
    fitdict[bsite]['withu']=nebrpt['barrfrominit']
    nebrpt_nonu = nebenergy.report("%s/nonu/a%sc/a%sc_neb_static" % (topdir, bsite, bsite))
    fitdict[bsite]['nonu']=nebrpt_nonu['barrfrominit']
print "Barriers from first endpoint, no strain"
print "B-site,GGA from strain series,GGA,GGAU"
for bsite in blist:
    print "%s,%3.3f,%3.3f,%3.3f" % (bsite,fitdict[bsite]['nonu_from_strain_series'],fitdict[bsite]['nonu'],fitdict[bsite]['withu'])
