#!/usr/bin/env python
##
#@package   Xvalidname
#@ingroup   vasp
#@ingroup   python
#@brief     checks to see if a string is all alphanumeric with underscores
#@author    Tam Mayeshiba
#@date      11/30/2010
#@date      12/28/10 - return None for an empty string
#@date      12/28/10 - remove empty string check; breaks append
###
def main(checkstring):
    """
    Purpose:
        inputs:  
            [$1] input to check
                example: 't3rr!bl##'
        outputs:
            returns the string if it is good
            None - input failed a check
    """
#   Modules:
#    import os
#    import sys
#
#   # is it a string?
    try:
        checkstring = str(checkstring)
    except (ValueError, TypeError):
        print checkstring, 'should be a string.'
        return None
#   # is it a non-null string?
#    strlen=0
#    try:
#        strlen = len(checkstring)
#    except (ValueError, TypeError):
#        print checkstring, 'should be a string.'
#        return None
#    if (strlen == 0):
#        print 'String should be non-zero in length.'
#        return None
#   # is it alphanumeric already?
    if str.isalnum(checkstring):
        return checkstring
#   # are the only non-alphanumeric characters underscores, '_' ?
    strchar = ""
    for strchar in checkstring:
        if (str.isalnum(strchar) != True) and (strchar != '_'):
            print checkstring, 'should only contain numbers, letters, and'
            print 'underscores.'
            return None
    return checkstring   

