#!/usr/bin/env python
####################
# Tam Mayeshiba 2015-11-05
# simple gnu plot
#######################
import numpy as np
import subprocess
def plot(xvec, yvec, title="Line1", gplot="/usr/local/bin/gnuplot"):
    # adapted from Jakob's answer in 
    # http://stackoverflow.com/questions/20295646/python-ascii-plots-in-terminal
    x=np.linspace(0,2*np.pi,10)
    y=np.sin(x)
    gnuplot = subprocess.Popen([gplot], 
                           stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    gnuplot.stdin.write("set term dumb 79 25\n")
    #gnuplot.stdin.write("plot '-' using 1:2 title 'Line1' with linespoints \n")
    gnuplot.stdin.write("plot '-' using 1:2 title '%s' with points \n" % title)
    for i,j in zip(xvec,yvec):
        gnuplot.stdin.write("%f %f\n" % (i,j))
    #gnuplot.stdin.write("e\n")
    #gnuplot.stdin.flush()
    gnuplot.stdin.write("exit\n") #TTM apparently our gnuplot uses exit
    #gnuplot.terminate() # TTM allow plot to finish
    #gnuplot.communicate()
    myplot = gnuplot.communicate()[0]
    import time
    #time.sleep(5)
    print myplot
    gnuplot.wait()

def test():
    xvec=np.array([0.98,0.99,1,1.01,1.02],'float')
    yvec=np.array([-300,-301,-303,-302,-301.5],'float')
    plot(xvec, yvec)
