#!/usr/bin/env python
##
#@package   Sgettags
#@ingroup   other
#@ingroup   python
#@brief     gets tags from a python file
#@author    Tam Mayeshiba
#@date      8/3/11
###
def main(fname):
    """
    Purpose: Gets tags from a python file
        inputs:  
            [$1] full python file path and name
            example: /home/tam/myfile.py
        outputs:
            list of tags
            None if error
    """
#   Modules:
    import os
    import sys
#   Validation
#   #  
    if not os.path.isfile(fname):
        print fname, ' is not a file.'
        print ('Exiting.')
        return None
#   
    rfile=""
    contents=[]
    tags=[]
    oneline=""
    onetag=""
    findpar=0
    rfile = open(fname, 'rb')
    contents = rfile.readlines()
    for oneline in contents:
        if oneline[0:3] == 'def':
            findpar = oneline.find('(')
            if (findpar == -1):
                print 'Error for', oneline, '. Skipping.'
            else:
                onetag = oneline[4:findpar]
                tags.append(onetag)
    return tags
