#!/usr/bin/env python
##
#@package   Vonenebcontrolsilent
#@ingroup   vasp
#@ingroup   python
#@brief     run Vonenebcontrol in the background, using input file
#@details   directory in which you are running must have file 'inputfile'
#@author    Tam Mayeshiba
#@date      3/23/11 copied from Pdirautorelaxsilent
###
def main():
    """
    Purpose: run Vonenebcontrol silently in the background
       outputs:
            None - error
    """
#   Modules:
    import os
    import sys
    import subprocess
    import Xtimestring
    import Xuniquename
    import Pmakemonfile
#   validation will be handled by Pqautorelax
#   get cwd
    fullpath=""
    fullpath = os.getcwd()
#   set up output file
    filestr=""
    fileme=""
    filestr = Pmakemonfile.main(fullpath)
    if (filestr == None):
        print 'Could not create monitor file.'
        print '(Exiting.)'
        return None
    fileme = open(filestr, 'ab')
#   run process
    hidemon=""
    hidemon = subprocess.Popen(['Uwrapper.py', 'Vonenebcontrol'],
            stdout=fileme, stderr=fileme)
#    hidemon.wait() #
#    hidemon = subprocess.Popen([sys.executable,
#            'Uwrapper.py', 'Pqautorelax',
#            fullpath, numatoms, maxout, checksec, checklag, 
#            encomp, entype, volcomp, voltype],
#            stdout=fileme, stderr=fileme)
    fileme.close()
    print hidemon
    return True
