#!/usr/bin/env python
##
#@package   
#@ingroup   
#@ingroup   python
#@brief     
#@author    Tam Mayeshiba
#@date      
###
def relax(path):
    """
    Purpose:
        inputs:  
            [$1] description 
            example:
        outputs:
    """
#   Modules:
    import os
    import sys
    import ZZclassrun
    import ZZclassrelax
    import Xvaliddirectory
    import time
    import shutil
#   
#   #  
    path = Xvaliddirectory.main(path)
    if (path == None):
        print '(Exiting.)'
        return None
    myrelax=""
    myrelax = ZZclassrelax.Relax(path)
    myrun=""
    prevrun=""
    status=""
    count=1
    while not myrelax.complete():
        myrun = ZZclassrun.Run(path)
        myrun.create_script(path)
        runone(myrun)
        while not (myrun.complete()):
            time.sleep(int(myrun.param_sleepsec))
            myrun.update_status()
            status = myrun.status
            myrelax.currentpath = myrun.path
        print myrun.path, 'Energy: ', myrun.energy()
        if (prevrun == ""):
            pass
        else:
            if (prevrun.energy() == myrun.energy()):
                myrelax.relaxpath = myrun.path
                return True
        prevrun = ZZclassrun.Run(path)
        if '_rel' in path:
            path = path[0:path.find('_rel') + 4] + str(count)
        else:
            path = path + '_rel' + str(count)
        count = count + 1
        # there would be some sort of Vrelax function here. Manually,
        if not (os.path.exists(path)):
            os.mkdir(path)
        shutil.copy(prevrun.incarpath,path)

def runone(onerun):
    """ pass this a Run class? """
    import os
    import time
    import ZZclassrun
    import Pqsubretidnew
    if onerun.complete():
        return True
    onerun.jobid = Pqsubretidnew.main(onerun.path, 'parallel.sh')
    onerun.submit_time = time.time()

