#!/bin/env python
"""Get BOB"""
import sys
from orbital_rotation import OctaCollection as OC

if len(sys.argv) < 2:
    print "Need to specify POSCAR path as argument 1"
    sys.exit()
mypath=sys.argv[1]
if len(sys.argv) < 3:
    fracbond=0.4
else:
    fracbond=float(sys.argv[2])

myoc = OC(mypath)
myoc.get_coords()
#myoc.extend_cell()
myoc.build_bob_cube_small(fracbond)
