#ifndef SumPDOSFuncs_comp
#define SumPDOSFuncs_comp

#include <iostream>
#include <sstream>
#include <fstream>
#include <vector>
#include "pdosdata.h"
#include "matrix.h"
#include "typedefs.h"

void ReadSumDOSParams(ifstream & PDOSParams_infile,pdosdata & pdd);
void ReadInPDOSData(matrix<matrix<double> > & allpdos, pdosdata & pdd, 
		    ifstream & PDOS_infile);
void SumPDOS(const matrix<matrix<double> > & allpdos, pdosdata & pdd);
void PrintSumPDOS(ostream & cout, pdosdata & pdd);

#endif







