#ifndef constants_comp
#define constants_comp

const double PI = 3.14159265359;
const double TWOPI=2.0*PI;
const double RTPI=sqrt(PI);
const double C_VACUUM = 2.99792E+8; // m/s
const double EPS_VACUUM = 8.854187817E-12; // C/(N-m2)
const double MU_VACUUM = 4.0*PI*1.0E-7; // N/A^2 (T^2m^3/J)
const double AMU2KILOGRAM = 1.66054E-27;
const double KILOGRAM2AMU = 6.022137E+26;
const double PLANKSCONSTANT_h = 6.62618E-34; // J*s
const double KBOLTZ = 1.38066E-23; // J/K
const double E_ELECTRON = 1.60219E-19; // C
const double RAD2DEG=360.0/TWOPI; // Deg/Rad
#include "typedefs.h"
#endif

