#ifndef FittingFuncs_comp
#define FittingFuncs_comp

#include <vector>
#include <iostream>
#include "typedefs.h"

void SetSpline(const vector<double> & x, const vector<double> & y, 
	       const double & yp1, const double & ypn, vector<double> & y2);
void GetSplineInt(const vector<double> & xa, const vector<double> & ya, 
		  vector<double> & y2a, const double & x, double & y);
void PrintSpline(const vector<double> & x, const vector<double> & y, 
		 const int & npts, ostream & outf);
#endif




