#ifndef ProjFuncs_comp
#define ProjFuncs_comp

#include <iostream>
#include <sstream>
#include <fstream>
#include <vector>
#include "structure.h"
#include "matrix.h"
#include "projdata.h"
#include "pdosdata.h"
#include "typedefs.h"

complex<double> ProcessProjection(const complex<double> & proj);
void ReadInProj(projdata & proj_dat);
void CalcNeatProj(projdata & proj_dat, int only_occ);
void PrintNeatProj(projdata & proj_dat);
void ReadInPDOSData(const projdata & prd, pdosdata & pdd);
void CalcPDOS(const projdata & prd, pdosdata & pdd);
void SmoothPDOS(const projdata & prd, pdosdata & pdd);
void AtomCntError(const string & tok, const int tokcnt, const int atom_cnt);
#endif







