#!/bin/env python
#TTM 2014-09-16
import os
import sys
import numpy

myorder=1

myfile = open(sys.argv[1], 'rb')
mylines = myfile.readlines()
myfile.close()
labels=mylines.pop(0)
if not(labels[0]).isalpha():
    print "WARNING:"
    print "Are you sure you have column headers in text file %s?" % sys.argv[1]
labelx = labels.split()[0]
labely = labels.split()[1]
xlist=list()
ylist=list()
for line in mylines:
    mysplit = line.split()
    xlist.append(mysplit[0])
    ylist.append(mysplit[1])
xvec = numpy.array(xlist,'float')
yvec = numpy.array(ylist,'float')
import hocking_lstsq
[coeffs,s_squared,stderrs]=hocking_lstsq.least_squares_regression(xvec,yvec,myorder)
sys.exit()
#Simple solve without scipy
step=0.001
xtry = min(xvec)
xstop = max(xvec)
yevallist=list()
xevallist=list()
while xtry <= xstop:
    xevallist.append(xtry)
    if myorder == 3:
        yevallist.append(coeffs[0]+xtry*coeffs[1]+xtry*xtry*coeffs[2]+xtry*xtry*xtry*coeffs[3])
    elif myorder == 4:
        yevallist.append(coeffs[0]+xtry*coeffs[1]+xtry*xtry*coeffs[2]+xtry*xtry*xtry*coeffs[3]+xtry*xtry*xtry*xtry*coeffs[4])
    xtry = xtry + step
ymin = min(yevallist)
minidx = yevallist.index(ymin)
xminval = xevallist[minidx]
print "Min x value: %3.3f" % xminval
print "Min cube root: %3.3f" % numpy.power(xminval,(1.0/3.0))


