#!/usr/bin/env python
##
#@package   synthep2_tom
#@ingroup   vasp    
#@ingroup   python
#@brief     Synthesizes a second endpoint from the first 
#           (used within Vfccqcontrol_tom)
#@author    Tom Angsten
#@date      7/2/11 created
###
def main(ep2dir = "", ep1statdir = ""):
    """                                             
        Purpose:  
        [$1] synthesized endpoint two destination directory 
        [$2] endpoint one static directory from which to synthesize CONTCAR
    """
    import os
    import sys
    import shutil
    import translate_poscar_tom
    shutil.copytree(ep1statdir,ep2dir)
    poscarfile = ep2dir + "/CONTCAR"
    translate_poscar_tom.main(poscarfile)
