"""Tests for descriptor scripts"""
import unittest
from unittest import SkipTest
import os
import time
import shutil
import subprocess
import testhelper
import numpy as np
import descriptors.D000_get_goldschmidt_list as D000
testname="descriptors/tests"
print "************************CURDIR:", os.getcwd()

class TestD000GoldschmidtList(unittest.TestCase):
    def setUp(self):
        return
    
    def tearDown(self):
        return
    
    def test_evaluate_pure_perovskite_combinations(self):
        pvlist=D000.evaluate_pure_perovskite_combinations("K,Ca,La","Mn,Ti","O,F", 0)
        pvlist2 = D000.filter_by_goldschmidt(pvlist,0)
        pvlist3 = D000.sort_by_elements(pvlist2, 1)
        self.assertEquals(len(pvlist3), 7)
