#!/usr/bin/env python
##
#@package   Pdelrange 
#@ingroup   other
#@ingroup   python
#@brief     delete range
#@author    Tam Mayeshiba
#@date      
###
def main(nbegin, nend):
    """
    Purpose:
        inputs:  
            [$1] beginning number
            [$2] ending number
            example:
        outputs:
    """
#   Modules:
    import os
    import sys
    import subprocess
    import Xvalidinteger
#   
#   #  
    nbegin = Xvalidinteger.main(nbegin, 1, None)
    if nbegin == None:
        print 'Beginning number should be an integer greater than 1.'
        return None
    nend = Xvalidinteger.main(nend, 1, None)
    if nend == None:
        print 'Ending number should be an integer greater than 1.'
        return None
    if nend < nbegin:
        print 'Ending number should be greater than beginning number.'
        return None
    nct = nbegin
    delp = ""
    delstr = ""
    while nct <= nend:
        delstr = 'qdel ' + str(nct)
        delp = subprocess.Popen(delstr, shell=True)
        delp.wait()
        nct = nct + 1
    return True


    
