#!/usr/bin/env python
##
#@package   Xtimestring
#@ingroup   other
#@ingroup   python
#@brief     returns a string from the current time
#@author    Tam Mayeshiba
###
def main():
    """
    Purpose: returns a string from the current time (for making files)
       inputs:  
	        none
       outputs:
            String in form of: YYYYMMDDhhmmss
            that is: year, month, day, hour 0-23, minute 0-59, second
    """
#   Modules:
    import time
#   
    timelist=[]
    timepc=""
    timestr=""
    timelist=list(time.localtime()) 
    for timepc in timelist[0:6]:
        try:
            timepc = str(timepc)
        except (ValueError, TypeError):
            timepc = 'error'
        if len(timepc) < 2:
            timepc = '0' + timepc
        timestr = timestr + timepc
    return timestr
