#!/usr/bin/env python
#neb run standard testing

import os
import shutil
import classes
import time

tmp = os.path.expanduser(os.getcwd())
env = os.getenv('HOSTNAME')
env_name = env.split('.')[0] #korczak, bardeen, etc.
if env_name == 'korczak':
    inputfile = 'input_korczak'
else:
    inputfile = 'input_bardeen'

myinput = classes.calcgroup_input()
myinput.set_values_from_file(tmp + '/' + inputfile)
myrun = classes.neb_calcgroup(myinput)
myrun.start_calcgroup()

while not myrun.status in ['E','C']:
    time.sleep(5)
    myrun.update()
if myrun.status == 'E':
    print 'RUN ERRORED OUT.'
else:
    print 'RUN FINISHED.'

