#!/usr/bin/env python

import os
import shutil
import classes
import time
import pdb

tmp = os.path.expanduser("~/bin/tscripts/temps/")

bulk_in = classes.calculation_input()   #changed
bulk_in.run_in.incar = classes.file(tmp+'.INCAR')
bulk_in.run_in.kpoints = classes.file(tmp+'.KPOINTS')
bulk_in.run_in.potcar = classes.file(tmp+'.POTCAR')
bulk_in.run_in.poscar = classes.file(tmp+'.POSCAR')
bulk_in.run_in.script = classes.submit_script('run1','default',1,1,2000,3)
bulk_in.path = "~/control_test/test"

bulk_in.control_param = classes.control_parameters()
bulk_in.static_incar = classes.file(tmp+'.INCAR_STATIC')
bulk_in.calc_name = 'mybulk'
bulk_in.append = '_'
bulk_in.max_relax = 3
bulk_run = classes.calculation(bulk_in)


if bulk_run.run == []:
    print 'Not run.'
else:    
    while not bulk_run.completed:
        time.sleep(5)
        bulk_run.update()
        print bulk_run.current_run().volume

print "BULK_RUN FINISHED"
