#!/usr/bin/env python
#neb run standard testing

import os
import shutil
import classes
import time

tmp = os.path.expanduser("~/control_test/neb_calc/test_start_files/")
env = os.getenv('HOSTNAME')
env_name = env.split('.')[0] #korczak, bardeen, etc.
if env_name == 'korczak':
    inputfile = 'input_korczak'
else:
    inputfile = 'input_bardeen'

inputlist=[]

pathlist=[
'~/control_test/neb_calc/test_1',
'~/control_test/neb_calc/test_2',
'~/control_test/neb_calc/test_3',
'~/control_test/neb_calc/test_4',
'~/control_test/neb_calc/test_5',
'~/control_test/neb_calc/test_6',
'~/control_test/neb_calc/test_7',
'~/control_test/neb_calc/test_8',
'~/control_test/neb_calc/test_9'
]

#for short testing
#pathlist=['~/control_test/neb_1im/test_4']

neb_runs = []
testcount = 0
lenlist = len(pathlist)
inputlist=[]

while testcount < lenlist:
    print 'TEST', testcount + 1, 'STARTED.'
    inputlist.append(classes.calculation_input())
    inputlist[testcount].set_values_from_file(pathlist[testcount] + '/' + inputfile)
    inputlist[testcount]['calc_path'] = pathlist[testcount]
    inputlist[testcount]['calc_name'] = 'ts3_neb'
    
    neb_runs.append(classes.neb_calculation(inputlist[testcount], tmp+'ts1_ep1_static', tmp+'ts1_ep2_static'))
    neb_runs[testcount].start_calc()
    if neb_runs[testcount].run == []:
        print 'Not run.'
    else:
        while not neb_runs[testcount].status in ['E','C']:
            time.sleep(5)
            neb_runs[testcount].update()
    if neb_runs[testcount].status == 'E':
        print 'TEST', testcount + 1, 'ERRORED OUT'
    else:
        print 'TEST', testcount + 1, 'FINISHED.'
    testcount = testcount + 1

