#!/usr/bin/env python
#neb run standard testing

import os
import shutil
import classes
import time

tmp = os.path.expanduser("~/control_test/neb_group/test_start_files/")
env = os.getenv('HOSTNAME')
env_name = env.split('.')[0] #korczak, bardeen, etc.
if env_name == 'korczak':
    inputfile = 'input_korczak'
else:
    inputfile = 'input_bardeen'

inputlist=[]

pathlist=[
'~/control_test/neb_group/test_1',
#'~/control_test/neb_group/test_2',
#'~/control_test/neb_group/test_3',
#'~/control_test/neb_group/test_4',
#'~/control_test/neb_group/test_5',
#'~/control_test/neb_group/test_6',
#'~/control_test/neb_group/test_7',
#'~/control_test/neb_group/test_9'
]
#missing test 8 for now

#for short testing
#pathlist=['~/control_test/neb_1im/test_4']

neb_runs = []
testcount = 0
lenlist = len(pathlist)
inputlist=[]

while testcount < lenlist:
    print 'TEST', testcount + 1, 'STARTED.'
    inputlist.append(classes.calcgroup_input())
    inputlist[testcount].set_values_from_file(pathlist[testcount] + '/' + inputfile)
    inputlist[testcount]['calcgroup_path'] = pathlist[testcount]
    inputlist[testcount]['calcgroup_name'] = 'ts1'
    
    neb_runs.append(classes.neb_calcgroup(inputlist[testcount]))
    neb_runs[testcount].start_calcgroup()
    while not neb_runs[testcount].status in ['E','C']:
        time.sleep(5)
        neb_runs[testcount].update()
    if neb_runs[testcount].status == 'E':
        print 'TEST', testcount + 1, 'ERRORED OUT'
    else:
        print 'TEST', testcount + 1, 'FINISHED.'
    testcount = testcount + 1

