#!/usr/bin/env python

import os
import shutil
import classes
import time
import pdb


tmp = os.path.expanduser("~/control_test/relax/test_start_files/")
env = os.getenv('HOSTNAME')
env_name = env.split('.')[0] #korczak, bardeen, etc.
if env_name == 'korczak':
    inputfile = 'input_korczak'
else:
    inputfile = 'input_bardeen'

inputlist=[];

pathlist=[
'~/control_test/relax/test_1/test',
'~/control_test/relax/test_2/test',
'~/control_test/relax/test_3/test',
'~/control_test/relax/test_4/test',
'~/control_test/relax/test_5/test',
'~/control_test/relax/test_6/test',
'~/control_test/relax/test_7/test',
'~/control_test/relax/test_8/test',
'~/control_test/relax/test_9/test',
'~/control_test/relax/test_10/test',
'~/control_test/relax/test_11/test',
'~/control_test/relax/test_12/test',
]

bulk_runs = []
testcount = 0
lenlist = len(pathlist)

while testcount < lenlist:
    print 'TEST', testcount + 1, 'STARTED.'
    inputlist.append(classes.calculation_input())
    inputlist[testcount].set_values_from_file(os.path.dirname(pathlist[testcount]) + '/' + inputfile)
    inputlist[testcount]['calc_path'] = pathlist[testcount]

    bulk_runs.append(classes.calculation(inputlist[testcount]))
    bulk_runs[testcount].start_calc()
    if bulk_runs[testcount].run == []:
        print 'Not run.'
    else:
        print 'Calc path: ', bulk_runs[testcount].calc_in['calc_path']
        while not bulk_runs[testcount].status in ['E','C']:
            time.sleep(5)
            bulk_runs[testcount].update()
    if bulk_runs[testcount].status == 'E':
        print 'TEST', testcount + 1, 'ERRORED OUT'
    else:
        print 'TEST', testcount + 1, 'FINISHED.'
    testcount = testcount + 1

