#ifndef CellReduceFuncs_comp
#define CellReduceFuncs_comp

#include <iostream>
#include <sstream>
#include <fstream>
#include <vector>
#include "structure.h"
#include "matrix.h"
#include "typedefs.h"

void sdebug(const int & step, const int & iter, 
	   const double & a, const double & b,
	   const double & c, const double & ksi,
	   const double & eta, const double & zeta,
	   ostream & sout);
void GetNiggliCell(const matrix<double> & in_lat, 
		   matrix<double> & niggli_lat,
		   matrix<double> & P, matrix<double> & Q);
structure GetNiggliStr(const structure & in_str);

#endif







