#ifndef CompareStrFuncs_comp
#define CompareStrFuncs_comp

#include <iostream>
#include <sstream>
#include <fstream>
#include <vector>
#include "structure.h"
#include "typedefs.h"

void CmpStrDist(const structure & str1, const structure & str2,
		const double & cutoff, matrix<double> & dist1,
		matrix<double> & dist2, matrix<double> & dist_diff,
		matrix<double> & dist_diff_n);
void PrintCmpStr(const structure & str1, const structure & str2,
		 const double & rcut, ostream & sout);
void PrintData1(const structure & str1, const double & cutoff, ostream & sout);
#endif







