#TTM 2013-04-03 parse procars using pymatgen
import pymatgen
import os
import procar_parse_occ_spin

#subsets=["aux_bulk","auxd_bulk","aux_ep1","auxd_ep1","auxc_ep1","auxdv2_ep1"]
subsets=["perfect","aux_bulk","aux_ep1"]
for subset in subsets:
    mydir = "//home/tam/procars_lm/" + subset
    plist=os.listdir(mydir)
    plist.sort()
    writefile = "//home/tam/procars_parse/procars_write_spin_" + subset
    alluplist=[]
    alldnlist=[]
    alltotlist=[]
    occuplist=[]
    occdnlist=[]
    occtotlist=[]
    for myp in plist:
        myprocar=procar_parse_occ_spin.ProcarOcc(os.path.join(mydir, myp))
        startb=9
        allup=""
        alldn=""
        alltot=""
        occup=""
        occdn=""
        occtot=""
        allup = myp + ":dxy dyz dxz dz2 dx2 all up: "
        alldn = myp + ":dxy dyz dxz dz2 dx2 all dn: "
        alltot = myp + ":dxy dyz dxz dz2 dx2 all tot: "
        occup = myp + ":dxy dyz dxz dz2 dx2 occ up: "
        occdn = myp + ":dxy dyz dxz dz2 dx2 occ dn: "
        occtot = myp + ":dxy dyz dxz dz2 dx2 occ tot: "
        while startb <= 16:
            allup = allup + str(startb) + ": "
            alldn = alldn + str(startb) + ": "
            alltot = alltot + str(startb) + ": "
            occup = occup + str(startb) + ": "
            occdn = occdn + str(startb) + ": "
            occtot = occtot + str(startb) + ": "
            for orbital in ['dxy','dyz','dz2','dxz','dx2']:
                myd = myprocar.get_occupation(startb,orbital)
                allup = allup + str(myd[0]) + " "
                alldn = alldn + str(myd[1]) + " "
                alltot = alltot + str(myd[2]) + " "
                occup = occup + str(myd[3]) + " "
                occdn = occdn + str(myd[4]) + " "
                occtot = occtot + str(myd[5]) + " "
            startb = startb + 1
        allup = allup + '\n'
        alldn = alldn + '\n'
        alltot = alltot + '\n'
        occup = occup + '\n'
        occdn = occdn + '\n'
        occtot = occtot + '\n'
        alluplist.append(allup)
        alldnlist.append(alldn)
        alltotlist.append(alltot)
        occuplist.append(occup)
        occdnlist.append(occdn)
        occtotlist.append(occtot)
        print "Parsed", myp
        #myprocar.print_matrix()

    writeme = open(writefile + "_allup", 'wb')
    writeme.writelines(alluplist)
    writeme.close()
    writeme = open(writefile + "_alldn", 'wb')
    writeme.writelines(alldnlist)
    writeme.close()
    writeme = open(writefile + "_alltot", 'wb')
    writeme.writelines(alltotlist)
    writeme.close()
    writeme = open(writefile + "_occup", 'wb')
    writeme.writelines(occuplist)
    writeme.close()
    writeme = open(writefile + "_occdn", 'wb')
    writeme.writelines(occdnlist)
    writeme.close()
    writeme = open(writefile + "_occtot", 'wb')
    writeme.writelines(occtotlist)
    writeme.close()
