#!/usr/bin/env python
# TTM run standards for testing

import os
import shutil
import classes
import time
import pdb
import subprocess

# set up paths
testhouse = os.path.expanduser('~/control_test')
testpath = testhouse + '/run'
testname = 'control_run_standards.py'
outputfile = testpath + '/output.txt'
standardpath = os.path.expanduser('~/bin/tscripts/RUN_STANDARDS')

# make new, clean test directory with output file
try:
    os.mkdir(testhouse)
except (OSError):
    'control_test folder already created. Continuing.'

try:
    shutil.rmtree(testpath)
    'Removing old test directory.'
except (OSError):
    'No such test directory. Continuing.'

shutil.copytree(standardpath, testpath) 

myfile = open(outputfile,'ab')
myfile.write(time.asctime() + '\n')

proc = subprocess.Popen(testname, shell=True, stdout=myfile)

#proc.wait()

myfile.close()
